#
# spec file for package bootp-DD2
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           bootp-DD2
#!BuildIgnore: nkitb
License:        BSD-3-Clause
Group:          Productivity/Networking/Boot/Servers
Requires:       net-tools netcfg
Version:        4.3
Release:        661.3
Summary:        Enhanced Version of the CMU BOOTP Server
Source:         %{name}.%{version}.tar.bz2
Source1:        COPYRIGHT
Source2:        %{name}.xinetd
Patch:          %{name}.%{version}.dif
Patch1:         %{name}.%{version}-ia64.dif
Patch2:         %{name}-%{version}-strict-aliasing-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       inet-daemon

%description
This is an enhanced version of the CMU BOOTP server, which was derived
from the original BOOTP server created by Bill Croft at Stanford. This
version merges all the enhancements and bug fixes from the NetBSD,
Columbia, and other versions.

%prep
%setup -n %{name}.%{version}
%patch
%patch1
%patch2

%build
make linux %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
cp %{S:1} .
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/bootp-DD2 

%files
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/*
%doc COPYRIGHT Announce* Changes* Problems README* ToDo* Installation bootptab.{cmu,mcs} 
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
/usr/sbin/*

%changelog
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Apr  7 2010 crrodriguez@opensuse.org
- Requires inet-daemon
* Sat May 27 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 12 2004 postadal@suse.cz
- renamed service name in bootp-DD2.xinetd according to /etc/services [#33661]
- added norootforbuild flag to the spec file
- fixed code that broke strict aliasing
* Mon Feb 24 2003 vbobek@suse.cz
- updated for start from xinetd
* Wed Feb  5 2003 postadal@suse.cz
- added sample database file bootptab.cmu and bootptab.mcs to doc [#23015]
* Fri Nov 29 2002 postadal@suse.cz
- included  <errno.h> to report.c
* Mon Apr 23 2001 cihlar@suse.cz
- fixed warnings on ia64
- bzipped sources
* Thu Feb 22 2001 cihlar@suse.cz
- package separated from nkita
